Skip to main content
GET
/
consents
List consents
curl --request GET \
  --url https://api.fiskil.com/v1/data-provider/cdr/consents
{
  "cursor": "982407f136df8e20140534999eff7b7f",
  "consents": [
    {
      "consent_id": "2903cbfa-7573-4eac-bef4-669d002f7dba",
      "status": "active",
      "app_id": "07c79a13-8100-4736-bb0c-5ccad62054b0",
      "app_name": "My Budget Helper",
      "customer_id": "6db36d28-16d4-4fac-b4d8-518cae271625",
      "scopes": [
        "openid",
        "profile",
        "bank:accounts:basic.read"
      ],
      "account_ids": [
        "1b87acb6-315b-40aa-a3cb-7889762db04d",
        "9f9ac2a3-7b7f-49ba-b64b-84e324f991ac"
      ],
      "granted_at": "2026-01-23T04:00:00.000Z",
      "expires_at": "2027-01-23T04:00:00.000Z",
      "instance_name": "Production",
      "updated_at": "2027-06-22T04:00:00.000Z",
      "revoked_at": "2027-08-13T04:00:00.000Z"
    }
  ],
  "total_pages": 2
}
This API is not available yet. We have published the documentation to gather feedback on the proposed API specification.

Query Parameters

status
string

Comma separated list of status filters

Example:

"active,revoked"

customer_id
string

Filter consents to those authorized by the customer with the given ID as returned by your customer search API

app_id
string

Filter consents to those created by the application with the given ID returned in previous results or found in the Fiskil App Directory

updated_after
string

Filter consents to those that have been added or updated since the given RFC3339 timestamp. Can be used to perform incremental synchronisations.

Example:

"2026-03-20T00:00:00+11:00"

instance
enum<string>

Name of the Data Provider instance to filter consents to

Available options:
Production,
Staging
Example:

"Production"

cursor
string

Page cursor from previous response for pagination

page_size
integer

Number of consents to return per page

Response

Consents listed successfully

cursor
string
required

Cursor that can be used in the cursor query parameter for pagination. Returned only when there are more consents.

Example:

"982407f136df8e20140534999eff7b7f"

consents
object[]
required

A list of up to page_size consents sorted in descending order of creation.

total_pages
integer

total number of result pages for the query

Example:

2